<?php
$mode   =     getArg('mode', $mandatory = false, $default = '');
$now    =     time();

function sdk_LastValue($now , $change){
 $diff = ($now - $change); 
return $diff;
}

// Widget Sensor  -
//----------------------------------------------------------------------------> 
if ($mode == "1"){
    
$apis1     = getArg('api_sensor', $mandatory = true, $default = '');
$apis2     = getArg('api_security', $mandatory = true, $default = '');


//arguments donnes par le javascipt
$refresh   = getArg('refresh' , false, false);

// URL icone 
$PirOn = "https://secure.eedomus.com/img/mdm/01/pir.png";
$PirOff = "https://secure.eedomus.com/img/mdm/01/pirinactif.png";

//initialisation des variables
$temp       = -1;
$lum        = -1;
$hydro      = -1;
$motion1     = -1;

// api 
$Tapi       = explode(",", $apis1);
$api_motion1 = $Tapi[0];
$api_temp  =  $Tapi[1];
$api_lum  =   $Tapi[2];
$api_hydro =  $Tapi[3];

if ($api_motion1 <> "N/D"){
    $periph = getValue($api_motion1, $value_text = false);
    $motion1  = $periph["value"];
}
if ($api_temp <> "N/D"){
    $periph = getValue($api_temp, $value_text = false);
    $temp  = $periph["value"];
}

if ($api_lum <> "N/D"){
    $periph = getValue($api_lum, $value_text = false);
    $lum  = $periph ["value"];
}

if ($api_hydro <> "N/D"){
    $periph = getValue($api_hydro, $value_text = false);
    $hydro = $periph ["value"];
}



// requete de mise a jour
if ($refresh ) {
    
    $data = array('temp'=> $temp,'lum'=> $lum,'hydro' => $hydro,'motion1'=> $motion1);
    $r = '{';
    foreach($data as $k => $v) {
        $r .= '"'. $k . '":' . $v . ',';
    }
    $r = substr($r, 0, -1);
    $r .= '}';
    die($r);
}
?>
<html style="overflow:hidden;height:100%;"><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="viewport" content="width=device-width,user-scalable=no">
<style><?echo sdk_get_widget_default_style(); ?>
.store-control,.store-control1,.store-control2,.store-control3 {
    flex-direction: column;
    text-align: center;
    color: #fff;
    opacity: 0.8;
    margin-top: 44px;
    font :13px tahoma,arial,helvetica,sans-serif; 
}      
.name {
    text-align: left;
    font :13px tahoma,arial,helvetica,sans-serif; 
    margin: -5px 5px;
}
.ee_btn_ctn {
    position: relative;
    width: 64px;
    height: 64px;
    float: left;
    margin-right: 10px;
    margin-top: 2px; 
}
.icon-lamp,.icon-lamp1,.icon-lamp2,.icon-lamp3 { 
       height: 45px;
    position: absolute;
    margin-left: 9px;
    
}


</style>
</head>
<body>
<table class="action" cellspacing="5" cellpadding="0" border="0">
<tbody>
<tr><td rowspan="2" class="iconlastvalue">

<?if ($api_motion1 <> "N/D"){?>  
<div class="ee_btn_ctn">
    <img class="ee_btn" src="https://secure.eedomus.com/img/btn/user/13845/Grille.png">
    <img class = icon-lamp src ="/img/mdm/01/wait.png">
    <div class="store-control"></div>
</div>  
<?}?>

<?if ($api_temp <> "N/D"){?>  
<div class="ee_btn_ctn">
    <img class="ee_btn" src="https://secure.eedomus.com/img/btn/user/13845/Grille.png">
    <img class = icon-lamp1 src ="/img/mdm/01/thermometer.png">
    <div class="store-control1"></div></div>
<?}?>

<?if ($api_lum <> "N/D"){?>
<div class="ee_btn_ctn">
    <img class="ee_btn" src="https://secure.eedomus.com/img/btn/user/13845/Grille.png">
    <img class = icon-lamp2 src ="/img/mdm/01/luminosite.png">
    <div class="store-control2"></div></div>
<?}?>

<?if ($api_hydro <> "N/D"){?>
    <div class="ee_btn_ctn">
    <img class="ee_btn" src="https://secure.eedomus.com/img/btn/user/13845/Grille.png">
    <img class = icon-lamp3 src ="/img/mdm/01/humidite.png">
    <div class="store-control3"></div></div>
<?}?>

</td></tr>
</tbody></table>

 <script src="https://cdnjs.cloudflare.com/ajax/libs/animejs/2.2.0/anime.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script type="text/javascript">

              
            //-------variables -------------
            var $temp = $('.store-control1');
            var $lum = $('.store-control2');
            var $hydro = $('.store-control3');
            var $motion1 = $('.icon-lamp');
            var $motion2 = $('.store-control');
            
            polling= 5000;
            var PirOff = "<? echo $PirOff;  ?>";
            var PirOn = "<? echo $PirOn;  ?>";
            //-------insertion 
            refreshData();
            
            function updatehtml() {
              
                $temp.text(temp + ' C');
                $lum.text(lumi+ ' Lux' );
                $hydro.text(hydro + ' %');
                
               
            if (motion == 0)   {$motion1.attr('src', PirOff); $motion2.text('Ok');
               }else {$motion1.attr('src', PirOn);  $motion2.text('Alerte !');}
               
               
            };
             
             //-------Refresh
                
            function insertParam(key, value){
                key     = encodeURI(key); 
                value   = encodeURI(value);
                var kvp = document.location.search.substr(1).split('&');
                var i   = kvp.length; 
                var x; 
                while(i--)  {
                    x = kvp[i].split('=');
                    if (x[0] == key) {
                        x[1] = value;
                        kvp[i] = x.join('=');
                        break;
                    }
                }
                if(i<0) {
                    kvp[kvp.length] = [key,value].join('=');
                }
                return document.location + '?' + kvp.join('&');
            }
            
             function refreshData() {
                $.get(insertParam('refresh', 1), {},
                    function(data){
                        console.log("data =",data);
                        var data = JSON.parse(data);
                        temp = data.temp;
                        lumi  = data.lum;
                        hydro = data.hydro;
                        motion = data.motion1;
                        updatehtml(); 
                    }
                );
            }
            
 
            let chrono;
            chrono = setInterval(refreshData, polling);    
        </script>
    </body>
</html>





<?}

// Widget Dimmer et multi Dimmer  -
//----------------------------------------------------------------------------> 
if ($mode == "2"){

//argument donne par l'actionneur
$apis     = getArg('api', $mandatory = false, $default = '');
$step =     getArg('memo', $mandatory = false, $default = '1');
$name =      getArg('nom', $mandatory = false, $default = 'N/D');


//arguments donnes par le javascipt
$setlevel  = getArg('setlevel', false, NULL);
$setlight  = getArg('setlight', false, NULL);
$refresh   = getArg('refresh' , false, false);

//initialisation des variables
$level  = 0;

// api des peripheriques
$Tapi       = explode(",", $apis);
$api_Level  = $Tapi[0];

// parametre Step et touchEvent
$Tparam1    = explode(",", $step);
$step       = $Tparam1[0];
$touch2Tap  = $Tparam1[1];
$touchPress = $Tparam1[2];

// parametre nom et mode
$Tparam2    = explode(",", $name);
$nom        = $Tparam2[0];
$memo1      = $Tparam2[1];
$memo2      = $Tparam2[2];


// Valeur de l'api principal
if ($api_Level){
    $periph = getValue($api_Level, $value_text = false);
    $level  = $periph["value"];
    $TimeChange = $periph["change"];
    $change = strtotime($TimeChange);
}

if ($setlevel !== NULL) {
        $Tapi       = explode(",", $apis);
         foreach($Tapi as $device){ setValue($device, $setlevel);}
         die('Ok');
    }

if ($setlight !== NULL) {
        $Tapi= explode("=", $setlight);
        $api= $Tapi[0];
        $value= $Tapi[1];
         SetValue($api, $value);
         die('Ok');
    }


// Si requete ajax "refresh"
if ($refresh) {
      $lastValue = sdk_LastValue($now , $change);
    $data = array('level'  => $level, 'change'=>$lastValue);
    
    
    //creation du json 
    $r = '{';
    foreach($data as $k => $v) {
        $r .= '"'. $k . '":' . $v . ',';
    }
    $r = substr($r, 0, -1);
    $r .= '}';
    
    //  on retourne le json 
    die($r);
}   
    
// URL icone 
$lamp_off = "https://secure.eedomus.com/img/mdm/01/lamp_off.png";
$lamp_on = "https://secure.eedomus.com/img/mdm/01/lamp_on.png";

?>
<html style="overflow:hidden;height:100%;"><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="viewport" content="width=device-width,user-scalable=no">
<style>
<?sdk_get_widget_default_style(); ?>

.button-up, .button-down {
    position: relative;
    padding: 5px;
   margin: 1px auto;
    height: 40px;
    width: 40px;
    border-radius: 3px;
    transition: all 0.2s linear;
    <? if ($_GET['app'] !== NULL){?>cursor: none;<?}else{?>cursor: pointer; <?} ?>;
}

.button-down:hover {
  transform: translate3d(0, 5px, 0);
}
.button-up:hover {
  transform: translate3d(0, -5px, 0);
}
.button-up::after, .button-down::after {
  content: "";
  position: absolute;
  left: 15px;
  z-index: 11;
  display: block;
  width: 20px;
  height: 20px;
  border-top: 5px solid <? echo $police ?>;
  border-left: 5px solid <? echo $police?>;
}
.button-up::after {
  top: 20px;
  transform: rotate(45deg);
}
.button-down::after {
  top: 10px;
  transform: rotate(225deg);
}
.button-control1 {
    display: flex;
    flex-direction: column;
}
.button-slider {
    display: flex;
    justify-content: space-around;
    <? if ($_GET['app'] !== NULL){?>width:110%;<?}else{?>width:90%; <?} ?>;
}

.light-level {
     font-size: 25px;
        margin: auto;
}
.store-control {
  display: flex;
    flex-direction: column;
    text-align: center;
    color: #aaa;
    background: white;
    opacity: 0.6;
    overflow:hidden;
}   
.name {
    text-align: left;
    font :13px tahoma,arial,helvetica,sans-serif; 
    margin: -5px 5px;
}
.label {
    text-align: left;
    font :13px tahoma,arial,helvetica,sans-serif; 
    margin: -5px 0px;
     <? if ($_GET['app'] == ''){?>font-weight: bold;<?} ?>;
}
.timer {
    text-align: left;
    font :10px tahoma,arial,helvetica,sans-serif; 
    margin: -5px 0px;
     <? if ($_GET['app'] <> ''){?>color : #aaa;<?} ?>;
}
img.ee_btn_state{
position: absolute;
    top: 0px;
    left: 0px;
    width: 64px;
    height: 64px;
}
</style>
</head><body>
<table class="action" cellspacing="5" cellpadding="0" border="0">
<tbody>
<tr><td rowspan="2" class="iconlastvalue">
<div class="ee_btn_ctn">
<img class="ee_btn" src="https://secure.eedomus.com/img/btn/user/13845/Grille.png">
<img class = "ee_btn_state" src ="/img/mdm/01/wait.png"  id="<? echo $api_Level?>" onclick ="change(<? echo $api_Level?>);">
</div>


</td></tr>
<tr><td class="lastvalue"><? if ($_GET['app'] !== NULL){?><p class="name"><?php echo $nom; ?> - <?}?> <span class="label"> </span><span class="timer"> </span>
                     <div class="button-slider" >
                    <div class="button-control1"><div class="button-up" ></div></div> 
                    <div class="button-control1"><p class="light-level"> </div> 
                    <div class="button-control1"><div class="button-down"></div>
                </div>
         </div>
         </td>

</tr>

</tbody></table>
<script src="https://cdnjs.cloudflare.com/ajax/libs/animejs/2.2.0/anime.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/hammer.js/2.0.8/hammer.js"></script>
<script src="https://hammerjs.github.io/dist/hammer.js"></script>
<script type="text/javascript">

 //-------variables html-------------

              
            //-------variables javascript-------------
            var $lamp = $('.ee_btn_state');
             var $lastValue = $('.timer');
            var $label =  $('.label');
            polling= 5000;
            lampeOff ="<? echo $lamp_off ?>" ;
            lampeOn = "<? echo $lamp_on ?>" ;
            var $memo = $('.middle');
           var $level   = $('.light-level');
            
            //-------variables javascript-------------
             var touch2Tap = <? echo $touch2Tap ?> ;
            var touchPress = <? echo $touchPress ?> ;
            
            
            
            //-------insertion des variables dans le HTML
            refreshData();
            
            function updatehtml() {
                
          
            if (level == 0)   {$lamp.attr('src', lampeOff); $label.text("Off");
               }else {$lamp.attr('src', lampeOn); $label.text("On");} 
               
            $level.text(level + '%'); 
            
            
             if (lastValue < 5 ){  $lastValue.text(' maintenant');}
                if (lastValue > 5 && lastValue < 60){$lastValue.text(' depuis '+lastValue+ ' sec')}
                if (lastValue > 60 && lastValue < 3600){ var minutes = Math.round(lastValue / 60) % 60;  $lastValue.text(' depuis '+minutes+ ' min') }
                if (lastValue > 3600 && lastValue < 86400){ 
                    var hours = Math.round(lastValue / 3600) % 24;if (hours > 1){$lastValue.text(' depuis '+hours+' heures');}else{$lastValue.text(' depuis '+hours+' heure');}}
                if (lastValue > 86400){ 
                    var days = Math.round(lastValue / 86400);  if (days > 1){$lastValue.text(' depuis '+days+' jours')}else{$lastValue.text(' depuis '+days+' jour')}}
                    
                }
                         
               
            
            function insertParam(key, value){
                key     = encodeURI(key); 
                value   = encodeURI(value);
                var kvp = document.location.search.substr(1).split('&');
                var i   = kvp.length; 
                var x; 
                while(i--)  {
                    x = kvp[i].split('=');
                    if (x[0] == key) {
                        x[1] = value;
                        kvp[i] = x.join('=');
                        break;
                    }
                }
                if(i<0) {
                    kvp[kvp.length] = [key,value].join('=');
                }
                return document.location + '?' + kvp.join('&');
            }
            function insertParam1(key,api, value){
                key     = encodeURI(key);
                api     = encodeURI(api);
                value   = encodeURI(value);
                var kvp = document.location.search.substr(1).split('&');
                var i   = kvp.length; 
                var x; 
                while(i--)  {
                    x = kvp[i].split('=');
                    if (x[0] == key) {
                        x[1] = value;
                        kvp[i] = x.join('=');
                        break;
                    }
                }
                if(i<0) {
                    kvp[kvp.length] = [key,api,value].join('=');
                }
                return document.location + '?' + kvp.join('&');
            }
            function change(api) {
            var img1 = "<? echo $lamp_on;  ?>",
            img2 = "<? echo $lamp_off;  ?>";
            var imgElement = document.getElementById(api)
            imgElement.src = (imgElement.src === img1)? img2 : img1;
            clearInterval(chrono);
            level = (imgElement.src === img1)? 100 : 0;
            store.innerHTML  =  (imgElement.src === img1)? "100%" : "0%";
            $lastValue.text(' (en cours...)');
            SendLabel =  (imgElement.src === img1)? "On" : "Off";
              $label.text(SendLabel);
            $.get(insertParam1('setlight',api,level), {}, function(data){});
            chrono = setInterval(refreshData, polling); 
}
            
   
  //-------Envoi 
            function modifyLight() {
                $.get(insertParam('setlevel', level), {}, function(data){});
                chrono = setInterval(refreshData, polling); 
            }
            
            
            
const store = document.querySelector(".light-level");
let level = <? echo $level;  ?>; 
let step = <? echo $step ?>  ;


var myElement = document.querySelector(".button-up");
var mc = new Hammer(myElement);

mc.on(" tap press", function(ev) {
    clearInterval(chrono);
    state = ev.type;
      if ( state == "press"){ 
     level = 100 ;
   store.innerHTML  = "100%";
    modifyLight(level);
  $lamp.attr('src', lampeOn);
   $lastValue.text(' (en cours...)');
  $label.text("On");
     };
     if (level < 100 && state == "tap" ) {
     level = (level + step) ;
      store.innerHTML  = level + "%";
    modifyLight(level);
    $lamp.attr('src', lampeOn);
     $lastValue.text(' (en cours...)');
  $label.text("On");
  } ;
});


var down = document.querySelector(".button-down");
var mcdown = new Hammer(down);

mcdown.on(" tap press", function(ev) {
    clearInterval(chrono);
    statedown = ev.type;
      if ( statedown == "press"){
     level = 0 ;
   store.innerHTML  =  "0%";
    modifyLight(level);
     $lastValue.text(' (en cours...)');
  $label.text("Off");
   };
     if (level > 10 && statedown == "tap" ) {
     level = (level - step) ;
     store.innerHTML  =  level + "%";
    modifyLight(level);
     $lastValue.text(' (en cours...)');
    $label.text("On");
   
   } ;
});



var square  = document.querySelector(".light-level");
var manager = new Hammer.Manager(square);
var DoubleTap = new Hammer.Tap({
  event: 'doubletap',
  taps: 2
});
manager.add(DoubleTap);
manager.on('doubletap', function(e) {
    clearInterval(chrono);
    state = e.type;
    if ( state == "doubletap"){
     level = touch2Tap;
   store.innerHTML  =  level + "%";
    modifyLight(level);
    $lastValue.text(' (en cours...)');
    $label.text("<? echo $memo1?>");
   }; 
});

var memo  = document.querySelector(".light-level");
var memo = new Hammer(square);
memo.on(" press", function(ev) {
    clearInterval(chrono);
    statedown = ev.type;
      if ( statedown == "press"){ 
     level = touchPress ;
   store.innerHTML  =  level + "%"
    $lastValue.text(' (en cours...)');
    $label.text("<? echo $memo2 ?>");
    modifyLight(level);
   };
});  
            
            
      function refreshData() {
                $.get(insertParam('refresh', 1), {},
                    function(data){
                        console.log("data =",data);
                        var data = JSON.parse(data);
                        level = data.level;
                        lastValue = data.change;
                        updatehtml();
                    }
                );
            }      
            
            
            
            
            
            let chrono;
            chrono = setInterval(refreshData, polling);    

            
            
        </script>
</body></html>
<?}

// Widget Multi Toggle  -
//----------------------------------------------------------------------------> 
if ($mode == "3"){

//argument donne par l'actionneur
$apis     = getArg('api', $mandatory = false, $default = '');
$polling  = getArg('polling', $mandatory = false, $default = '10');
$name =      getArg('nom', $mandatory = false, $default = 'N/D');

//arguments donnes par le javascipt
$setlight  = getArg('setlight', false, NULL);
$refresh   = getArg('refresh' , false, false);



//initialisation des variables
$level  = 0;
$level1 = 0;
$level2 = 0;
$level3 = 0 ;
$level4 = 0;

// api des peripheriques
$Tapi       = explode(",", $apis);
$api_Level  = $Tapi[0];
$api_Level1  = $Tapi[1];
$api_Level2  = $Tapi[2];
$api_Level3  = $Tapi[3];


// api des peripheriques
$Tname       = explode(",", $name);
$nom    = $Tname[0];
$nom1   = $Tname[1];
$nom2   = $Tname[2];
$nom3   = $Tname[3];


// Valeur de l'api principal
if ($api_Level){
    $periph = getValue($api_Level, $value_text = false);
    $level  = $periph["value"];
    $histoL = $periph["change"];
}
if ($api_Level1){
    $periph = getValue($api_Level1, $value_text = false);
    $level1  = $periph["value"];
}
if ($api_Level2){
    $periph = getValue($api_Level2, $value_text = false);
    $level2  = $periph["value"];
}
if ($api_Level3){
    $periph = getValue($api_Level3, $value_text = false);
    $level3  = $periph["value"];
}


if ($setlight !== NULL) {
        $Tapi= explode("=", $setlight);
        $api= $Tapi[0];
        $value= $Tapi[1];
         SetValue($api, $value);
         die('Ok');
    }


// Si requete ajax "refresh"
if ($refresh) {$data = array('level'  => $level,'level1'  => $level1,'level2'    =>$level2,'level3'    =>$level3);
    
    //creation du json 
    $r = '{';
    foreach($data as $k => $v) {
        $r .= '"'. $k . '":' . $v . ',';
    }
    $r = substr($r, 0, -1);
    $r .= '}';
    
    //  on retourne le json 
    die($r);
}
    
// URL icone 
$lamp_off = "https://secure.eedomus.com/img/mdm/01/lamp_off.png";
$lamp_on = "https://secure.eedomus.com/img/mdm/01/lamp_on.png";

?>
<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="viewport" content="width=device-width,user-scalable=no">
<style>
<?sdk_get_widget_default_style(); ?>
/*>>>>>>>>>>Design du Slider UP/DOWN<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/  



.store-control {
    flex-direction: column;
    text-align: center;
    color: #fff;
    opacity: 0.8;
    margin-top: 44px;
    font :13px tahoma,arial,helvetica,sans-serif; 
}   

.ee_btn_ctn {
    position: relative;
    width: 64px;
    height: 64px;
    float: left;
    margin-right: 10px;
    margin-top: 2px;
}
.icon-lamp,.icon-lamp1,.icon-lamp2,.icon-lamp3 { 
    height: 45px;
    width: 45px;
    position: absolute;
    padding-top: 3px;
    padding-left: 9px;
}
</style>
<html style="overflow:hidden;height:100%;"><head>
<table class="action" cellspacing="5" cellpadding="0" border="0">
<tbody>
<tr><td rowspan="2" class="iconlastvalue">
<?if ($api_Level <> "N/D"){?>     
<div class="ee_btn_ctn">
<img class="ee_btn" src="https://secure.eedomus.com/img/btn/user/13845/Grille.png">
<img class = icon-lamp src ="/img/mdm/01/wait.png" id="<? echo $api_Level?>" onclick ="change(<? echo $api_Level?>);">
<div class="store-control"><? echo $nom?></div></div>
<?}?>
<?if ($api_Level1 <> "N/D"){?>  
<div class="ee_btn_ctn">
<img class="ee_btn" src="https://secure.eedomus.com/img/btn/user/13845/Grille.png">
<img class = icon-lamp1 src ="/img/mdm/01/wait.png" id="<? echo $api_Level1?>" onclick ="change(<? echo $api_Level1?>);">
<div class="store-control"><? echo $nom1?></div></div>
<?}?>
<?if ($api_Level2 <> "N/D"){?> 
<div class="ee_btn_ctn">
<img class="ee_btn" src="https://secure.eedomus.com/img/btn/user/13845/Grille.png">
<img class = icon-lamp2 src ="/img/mdm/01/wait.png" id="<? echo $api_Level2?>" onclick ="change(<? echo $api_Level2?>);">
<div class="store-control"><? echo $nom2?></div></div>
<?}?>
<?if ($api_Level3 <> "N/D"){?>
<div class="ee_btn_ctn">
<img class="ee_btn" src="https://secure.eedomus.com/img/btn/user/13845/Grille.png">
<img class = icon-lamp3 src ="/img/mdm/01/wait.png" id="<? echo $api_Level3?>" onclick ="change(<? echo $api_Level3?>);">
<div class="store-control"><? echo $nom3?></div></div>
</td></tr>
<?}?>

</tbody>
</table>
<script src="https://cdnjs.cloudflare.com/ajax/libs/animejs/2.2.0/anime.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script type="text/javascript">




 //-------variables html-------------

              
            //-------variables javascript-------------
            var $lamp = $('.icon-lamp');
            var $lamp1 = $('.icon-lamp1');
            var $lamp2 = $('.icon-lamp2');
            var $lamp3 = $('.icon-lamp3');
            polling= 5000;
            lampeOff ="<? echo $lamp_off ?>" ;
            lampeOn = "<? echo $lamp_on ?>" ;
            
            
            //-------insertion des variables dans le HTML
                refreshData();
                updatehtml;
            
            function updatehtml() {
                
          
            if (lamp == 0)   {$lamp.attr('src', lampeOff); 
               }else {$lamp.attr('src', lampeOn); } 
               
           if (lamp1 == 0)   {$lamp1.attr('src', lampeOff); 
               }else {$lamp1.attr('src', lampeOn); } 
               
             if (lamp2 == 0)   {$lamp2.attr('src', lampeOff); 
               }else {$lamp2.attr('src', lampeOn); }  
               
           if (lamp3 == 0)   {$lamp3.attr('src', lampeOff); 
               }else {$lamp3.attr('src', lampeOn); }    
               
               
            };
            function insertParam(key, value){
                key     = encodeURI(key); 
                value   = encodeURI(value);
                var kvp = document.location.search.substr(1).split('&');
                var i   = kvp.length; 
                var x; 
                while(i--)  {
                    x = kvp[i].split('=');
                    if (x[0] == key) {
                        x[1] = value;
                        kvp[i] = x.join('=');
                        break;
                    }
                }
                if(i<0) {
                    kvp[kvp.length] = [key,value].join('=');
                }
                return document.location + '?' + kvp.join('&');
            }
            function insertParam1(key,api, value){
                key     = encodeURI(key);
                api     = encodeURI(api);
                value   = encodeURI(value);
                var kvp = document.location.search.substr(1).split('&');
                var i   = kvp.length; 
                var x; 
                while(i--)  {
                    x = kvp[i].split('=');
                    if (x[0] == key) {
                        x[1] = value;
                        kvp[i] = x.join('=');
                        break;
                    }
                }
                if(i<0) {
                    kvp[kvp.length] = [key,api,value].join('=');
                }
                return document.location + '?' + kvp.join('&');
            }
            function change(api) {
            img1 = "<? echo $lamp_on;  ?>",
            img2 = "<? echo $lamp_off;  ?>";
            var imgElement = document.getElementById(api)
            imgElement.src = (imgElement.src === img1)? img2 : img1;
            clearInterval(chrono);
            lamp = (imgElement.src === img1)? 100 : 0;
            $.get(insertParam1('setlight',api,lamp), {}, function(data){});
            chrono = setInterval(refreshData, polling); 
}
            function refreshData() {
                $.get(insertParam('refresh', 1), {},
                    function(data){
                        console.log("data =",data);
                        var data = JSON.parse(data);
                        lamp = data.level;
                        lamp1 = data.level1;
                        lamp2 = data.level2;
                        lamp3 = data.level3;
                        updatehtml();
                    }
                );
            }
            let chrono;
            chrono = setInterval(refreshData, polling);    

            
            
        </script>
    </body>
</html>
<?}

// Widget Shutter et multi Shutter RTS -
//----------------------------------------------------------------------------> 
if ($mode == "4"){

//argument donne par l'actionneur

$apis     = getArg('api', $mandatory = false, $default = '');
$remotes    = getArg('remote', $mandatory = false, $default = '');
$name =      getArg('nom', $mandatory = false, $default = 'N/D');


//arguments donnes par le javascipt
$setlevel  = getArg('setlevel', false, NULL);
$refresh   = getArg('refresh' , false, false);

//initialisation des variables
$level  = 0;
$remote = 0;

// api des peripheriques
$Tapi       = explode(",", $apis);
$api_Level  = $Tapi[0];


// Valeur de l'api principal
if ($api_Level){
    $periph = getValue($api_Level, $value_text = false);
    $level  = $periph["value"];
    $TimeChange = $periph["change"];
    $change = strtotime($TimeChange);
    
    if ($setlevel !== NULL) {
        $Tapi= explode(",", $apis);
         foreach($Tapi as $device){ setValue($device, $setlevel);}
         die('Ok');
    }
    
}
// Valeur de l'api principal
if ($remotes){
    $periph = getValue($remotes, $value_text = false);
    $remote  = $periph["value"];
    $TimeChange = $periph["change"];
    $changeRemote = strtotime($TimeChange);
    
}


// Si requete ajax "refresh"
if ($refresh) {
    $lastValue = sdk_LastValue($now , $change);
     $lastValueR = sdk_LastValue($now , $changeRemote);
    $data = array('level'  => $level, 'change'=>$lastValue,'remote'  => $remote,'change_remote' => $lastValueR);
    
    //creation du json 
    $r = '{';
    foreach($data as $k => $v) {
        $r .= '"'. $k . '":' . $v . ',';
    }
    $r = substr($r, 0, -1);
    $r .= '}';
    
    //  on retourne le json 
    die($r);
} 

// URL icone 
$closed_shutter = "https://secure.eedomus.com/img/mdm/user/13845/11Volet000.png";
$middle_shutter = "https://secure.eedomus.com/img/mdm/user/13845/11Volet050.png";
$open_shutter = "https://secure.eedomus.com/img/mdm/user/13845/11Volet100.png";

?>
<html style="overflow:hidden"><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="viewport" content="width=device-width,user-scalable=no">
<style>
<?sdk_get_widget_default_style(); ?>

.button-up, .button-down {
    position: relative;
    padding: 5px;
    margin: 0px 0;
    height: 40px;
    width: 40px;
    border-radius: 3px;
    transition: all 0.2s linear;
}
.button-down:hover {
  transform: translate3d(0, 5px, 0);
}
.button-up:hover {
  transform: translate3d(0, -5px, 0);
}
.button-up::after, .button-down::after {
  content: "";
  position: absolute;
  left: 15px;
  z-index: 11;
  display: block;
  width: 20px;
  height: 20px;
  border-top: 5px solid <? echo $uPdowN ?>;
  border-left: 5px solid <? echo $uPdowN ?>;
}
.button-up::after {
  top: 20px;
  transform: rotate(45deg);
}
.button-down::after {
  top: 10px;
  transform: rotate(225deg);
}
.button-middle {
    position: relative;
    padding: 4px;
    margin: 0px 0;
    background: #FAC026;
    height: 2px;
    margin-top: 24px;
    margin-left: 0px;
    width: 25px;
    border-radius: 35px;
    transition: all 0.2s linear;
    background-color : <? echo $middle ?>;
}
.button-control1 {
    display: flex;
    flex-direction: column;
}
.button-slider {
    display: flex;
    justify-content: space-around;
    <? if ($_GET['app'] !== NULL){?>width:110%;<?}else{?>width:90%; <?} ?>;
}

.light-level {
     font-size: 25px;
        margin: auto;
}
.store-control {
  display: flex;
    flex-direction: column;
    text-align: center;
    color: #aaa;
    background: white;
    opacity: 0.6;
    overflow:hidden;
}   
.name {
    text-align: left;
    font :13px tahoma,arial,helvetica,sans-serif; 
    margin: -5px 5px;
}
.label {
    text-align: left;
    font :13px tahoma,arial,helvetica,sans-serif; 
    margin: -5px 0px;
     <? if ($_GET['app'] == ''){?>font-weight: bold;<?} ?>;
}
.timer {
    text-align: left;
    font :10px tahoma,arial,helvetica,sans-serif; 
    margin: -5px 0px;
     <? if ($_GET['app'] <> ''){?>color : #aaa;<?} ?>;
}
img.ee_btn_state{
position: absolute;
    top: 0px;
    left: 0px;
    width: 64px;
    height: 64px;
}
</style>
</head><body>
<table class="action" cellspacing="5" cellpadding="0" border="0">
<tbody>
<tr><td rowspan="2" class="iconlastvalue">
<div class="ee_btn_ctn">
<img class="ee_btn" src="https://secure.eedomus.com/img/btn/user/13845/Grille.png">
<img class = "ee_btn_state" id = "shutter" src = "/img/mdm/01/wait.png" id="<? echo $api_Level?>" onclick ="change(<? echo $api_Level?>);">
</div>


</td></tr>
<tr><td class="lastvalue"><? if ($_GET['app'] !== NULL){?><p class="name"><?php echo $name; ?> - <?}?> <span class="label"> </span><span class="timer"> </span>
                    <div class="button-slider" >
                    <div class="button-control1"><div class="button-up" onclick="document.getElementById('shutter').src='https://secure.eedomus.com/img/mdm/user/13845/11Volet100.png'" ></div></div> 
                    <div class="button-control1"><div class="button-middle" onclick="document.getElementById('shutter').src='https://secure.eedomus.com/img/mdm/user/13845/11Volet050.png'" ></div></div> 
                    <div class="button-control1"><div class="button-down"onclick="document.getElementById('shutter').src='https://secure.eedomus.com/img/mdm/user/13845/11Volet000.png'" ></div></div>
                    

         </td>

</tr>

</tbody></table>
<script src="https://cdnjs.cloudflare.com/ajax/libs/animejs/2.2.0/anime.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/hammer.js/2.0.8/hammer.js"></script>
<script src="https://hammerjs.github.io/dist/hammer.js"></script>
<script type="text/javascript">

 //-------variables html-------------

              
            var $level   = $('.ee_btn_state');
            var $lastValue = $('.timer');
            var $label =  $('.label');
            var api_remote = "<?$remotes?>"
            
            //-------variables javascript-------------
            var polling= 5000;
            var shutterClose = "<? echo $closed_shutter;  ?>";
            var shutterMiddle = "<? echo $middle_shutter;  ?>";
            var shutterOpen = "<? echo $open_shutter;  ?>";
          
            
            //-------insertion des variables dans le HTML
                refreshData();
                updatehtml;
                  

            function updatehtml() {
                if (api_remote !== 'N/R'){
                if (lastValue < lastValue_remote ){
                if (level == 0 || level == 1)   {$level.attr('src', shutterClose); $label.text("Ferm");
               }else if (level == 100|| level == 101) {$level.attr('src', shutterOpen); $label.text("Ouvert");
               }else {$level.attr('src', shutterMiddle); $label.text("MY");}
               
               
               
                if (lastValue < 5 ){  $lastValue.text(' maintenant');}
                if (lastValue > 5 && lastValue < 60){$lastValue.text(' depuis '+lastValue+ ' sec')}
                if (lastValue > 60 && lastValue < 3600){ var minutes = Math.round(lastValue / 60) % 60;  $lastValue.text(' depuis '+minutes+ ' min') }
                if (lastValue > 3600 && lastValue < 86400){ 
                    var hours = Math.round(lastValue / 3600) % 24  ;if (hours > 1){$lastValue.text(' depuis '+hours+' heures');}else{$lastValue.text(' depuis '+hours+' heure');}}
                if (lastValue > 86400){ 
                    var days = Math.round(lastValue / 86400);  if (days > 1){$lastValue.text(' depuis '+days+' jours')}else{$lastValue.text(' depuis '+days+' jour')}}
                };
                if (lastValue > lastValue_remote ){
                if (remote == 0 || remote == 1)   {$level.attr('src', shutterClose); $label.text("Ferm");
               }else if (remote == 100|| remote == 101) {$level.attr('src', shutterOpen); $label.text("Ouvert");
               }else {$level.attr('src', shutterMiddle); $label.text("MY");}
               
                if (lastValue_remote < 5 ){  $lastValue.text(' maintenant');}
                if (lastValue_remote > 5 && lastValue_remote < 60){$lastValue.text(' depuis '+lastValue_remote+ ' sec')}
                if (lastValue_remote > 60 && lastValue_remote < 3600){ var minutes = Math.round(lastValue_remote / 60) % 60;  $lastValue.text(' depuis '+minutes+ ' min') }
                if (lastValue_remote > 3600 && lastValue_remote < 86400){ 
                    var hours = Math.round(lastValue_remote / 3600)  % 24  ;if (hours > 1){$lastValue.text(' depuis '+hours+' heures');}else{$lastValue.text(' depuis '+hours+' heure');}}
                if (lastValue > 86400){ 
                    var days = Math.round(lastValue_remote / 86400);  if (days > 1){$lastValue.text(' depuis '+days+' jours')}else{$lastValue.text(' depuis '+days+' jour')}}
                };
                }else{
                if (level == 0 )   {$level.attr('src', shutterClose); $label.text("Ferm");}else if (level == 100) {$level.attr('src', shutterOpen); $label.text("Ouvert");
               }else {$level.attr('src', shutterMiddle); $label.text("MY");}
                if (lastValue < 5 ){  $lastValue.text(' maintenant');}
                if (lastValue > 5 && lastValue < 60){$lastValue.text(' depuis '+lastValue+ ' sec')}
                if (lastValue > 60 && lastValue < 3600){ var minutes = Math.round(lastValue / 60) % 60;  $lastValue.text(' depuis '+minutes+ ' min') }
                if (lastValue > 3600 && lastValue < 86400){ 
                    var hours = Math.round(lastValue / 3600) % 24;if (hours > 1){$lastValue.text(' depuis '+hours+' heures');}else{$lastValue.text(' depuis '+hours+' heure');}}
                if (lastValue > 86400){ 
                    var days = Math.round(lastValue / 86400);  if (days > 1){$lastValue.text(' depuis '+days+' jours')}else{$lastValue.text(' depuis '+days+' jour')}}
                };
                
                
            }    
          
            
            function insertParam(key, value){
                key     = encodeURI(key); 
                value   = encodeURI(value);
                var kvp = document.location.search.substr(1).split('&');
                var i   = kvp.length; 
                var x; 
                while(i--)  {
                    x = kvp[i].split('=');
                    if (x[0] == key) {
                        x[1] = value;
                        kvp[i] = x.join('=');
                        break;
                    }
                }
                if(i<0) {
                    kvp[kvp.length] = [key,value].join('=');
                }
                return document.location + '?' + kvp.join('&');
            }
            
            function refreshData() {
                $.get(insertParam('refresh', 1), {},
                    function(data){
                        console.log("data =",data);
                        var data = JSON.parse(data);
                        level  = data.level;
                        remote = data.remote;
                        lastValue = data.change;
                        lastValue_remote = data.change_remote;
                        updatehtml(); 
                    }
                );
            }
            
            function modifyShutter() {
                $.get(insertParam('setlevel', level), {}, function(data){});
               chrono = setInterval(refreshData, polling); 
            }
            
            
             $('.button-up').on('click', function(e) {
                e.preventDefault();
                clearInterval(chrono);
                level = 100;
                modifyShutter();
                $label.text("Ouverture");
                $lastValue.text(' (en cours...)');
                
            })
            
            $('.button-down').on('click', function(e) {
                e.preventDefault();
               clearInterval(chrono);
                level = 0;
                modifyShutter();
                $label.text("Fermeture");
                $lastValue.text(' (en cours...)');
               
            });
          
            $('.button-middle').on('click', function(e) {
                e.preventDefault();
                 clearInterval(chrono);
                level = 50;
                modifyShutter();
                $label.text("MY");
                $lastValue.text(' (en cours...)');
            });
            
            
            let chrono;
            
            chrono = setInterval(refreshData, polling); 


     
     
            
        </script>
</body></html>
<?}

// Widget Power  -
//----------------------------------------------------------------------------> 
if ($mode == "5"){

//argument donne par l'actionneur
$apis     = getArg('api', $mandatory = false, $default = '');
$nom =      getArg('nom', $mandatory = false, $default = 'N/D');


//arguments donnes par le javascipt
$setlevel  = getArg('setlevel', false, NULL);
$refresh   = getArg('refresh' , false, false);

//initialisation des variables
$level  = -1;
$power  = -1;
$energy = -1;


// api des peripheriques
$Tapi       = explode(",", $apis);
$api_Level  = $Tapi[0];
$api_Power  = $Tapi[1];
$api_Energy = $Tapi[2];

// Peripherique On/Off
if ($api_Level){
    $periph = getValue($api_Level, $value_text = false);
    $level  = $periph["value"];
    $TimeChange = $periph["change"];
    $change = strtotime($TimeChange);
        if ($setlevel !== NULL) {
        setValue($api_Level, $setlevel);
         die('Ok');
    } 
}

// Peripherique delivrant la consommation instantanee
if ($api_Power){
    $periph = getValue($api_Power, $value_text = false);
    $power  = $periph ["value"];
    $TimeChange = $periph["change"];
    $changePower = strtotime($TimeChange);
}

// Peripherique delivrant la consommation cumulee
if ($api_Energy){
    $periph = getValue($api_Energy, $value_text = false);
    $energy = ($periph ["value"] / 1000);
}

// Si requete ajax "refresh"
if ($refresh) {
    $lastValue = sdk_LastValue($now , $change);
    $lastPower = sdk_LastValue($now , $changePower);
    $data = array(
        'level'  => $level,
        'power'  => $power,
        'energy' => $energy,
        'change'=> $lastValue,
        'power_change' => $lastPower
    );
    
    //Creation du json 
    $r = '{';
    foreach($data as $k => $v) {
        $r .= '"'. $k . '":' . $v . ',';
    }
    $r = substr($r, 0, -1);// on retire la derniere virgule
    $r .= '}';
    
    //On retourne le json 
    die($r);
}
    
// URL icone 
$lamp_off = "https://secure.eedomus.com/img/mdm/01/lamp_off.png";
$lamp_on = "https://secure.eedomus.com/img/mdm/01/lamp_on.png";

?>
<html style="overflow:hidden;height:100%;"><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="viewport" content="width=device-width,user-scalable=no">
<style>
<?sdk_get_widget_default_style(); ?>
/*>>>>>>>>>>Design du Slider UP/DOWN<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/  




.light-level {
     font-size: 25px;
        margin: auto;
}
.store-control {
  display: flex;
    flex-direction: column;
    text-align: center;
    color: #aaa;
    background: white;
    opacity: 0.6;
    overflow:hidden;
}   
.name {
    text-align: left;
    font :13px tahoma,arial,helvetica,sans-serif; 
    margin: -5px 5px;
}
.cumul-power,.power{
    text-align: left;
    font :13px tahoma,arial,helvetica,sans-serif; 
}
.label, .instant {
    text-align: left;
    font :13px tahoma,arial,helvetica,sans-serif; 
    margin: -5px 0px;
     <? if ($_GET['app'] == ''){?>font-weight: bold;<?} ?>;
}
.timer,.timerPower {
    text-align: left;
    font :10px tahoma,arial,helvetica,sans-serif; 
    margin: -5px 0px;
     <? if ($_GET['app'] <> ''){?>color : #aaa;<?} ?>;
    
}

img.ee_btn_state{
position: absolute;
    top: 0px;
    left: 0px;
    width: 64px;
    height: 64px;
}
</style>
</head><body>
<table class="action" cellspacing="5" cellpadding="0" border="0">
<tbody>
<tr><td rowspan="2" class="iconlastvalue">
<div class="ee_btn_ctn">
<img class="ee_btn" src="https://secure.eedomus.com/img/btn/user/13845/Grille.png">
<img class = "ee_btn_state" src ="/img/mdm/01/wait.png" id="<? echo $api_Level?>" onclick ="change(<? echo $api_Level?>);">
</div>


</td></tr>
<tr><td class="lastvalue">
                     <? if ($_GET['app'] !== NULL){?><p class="name"><?php echo $nom;?> - <?}?><span class="label"> </span><span class="timer"> </span><br>
                        <span class="power"> </span><span class="timerPower"> </span><br>
                        <span class="cumul-power"> </span>
         </div></td>

</tr>

</tbody></table>
<script src="https://cdnjs.cloudflare.com/ajax/libs/animejs/2.2.0/anime.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script type="text/javascript">

 //-------variables html-------------

            var $lastValue  = $('.timer');
            var $label      = $('.label'); 
            var $device       = $('.ee_btn_state');
            var $power      = $('.power');
            var $lastPower  = $('.timerPower');
            var $energy     = $('.cumul-power');
            var polling     = 5000;
            Off ="<? echo $lamp_off ?>" ;
            On = "<? echo $lamp_on ?>" ;
           
           
            //-------insertion des variables dans le HTML
                   refreshData();
                    updatehtml;

            function updatehtml() {
            
            
            if (level == 0)   {$device.attr('src', Off); $label.text("Off");
               }else {$device.attr('src', On); $label.text("On");} 
            
            $power.text('Instantane  '+power + ' W'); 
            $energy.text( 'Cumule  '+ energy + ' Kw');  
            
            if (lastValue < 10 ){  $lastValue.text(' maintenant');}
                if (lastValue > 10 && lastValue < 60){$lastValue.text(' depuis '+lastValue+ ' sec')}
                if (lastValue > 60 && lastValue < 3600){ var minutes = Math.round(lastValue / 60) % 60;  $lastValue.text(' depuis '+minutes+ ' min') }
                if (lastValue > 3600 && lastValue < 86400){ 
                    var hours = Math.round(lastValue / 3600) % 24;if (hours > 1){$lastValue.text(' depuis '+hours+' heures');}else{$lastValue.text(' depuis '+hours+' heure');}}
                if (lastValue > 86400){ 
                    var days = Math.round(lastValue / 86400);  if (days > 1){$lastValue.text(' depuis '+days+' jours')}else{$lastValue.text(' depuis '+days+' jour')}} 
            
            
            
            
            if (lastpower < 10 ){  $lastPower.text(' maintenant');}
                if (lastpower > 10 && lastpower < 60){$lastPower.text(' depuis '+lastpower+ ' sec')}
                if (lastpower > 60 && lastpower < 3600){ var minutes = Math.round(lastpower / 60) % 60;  $lastPower.text(' depuis '+minutes+ ' min') }
                if (lastpower > 3600 && lastpower < 86400){ 
                    var hours = Math.round(lastpower / 3600) % 24;if (hours > 1){$lastPower.text(' depuis '+hours+' heures');}else{$lastPower.text(' depuis '+hours+' heure');}}
                if (lastpower > 86400){ 
                    var days = Math.round(lastpower / 86400);  if (days > 1){$lastPower.text(' depuis '+days+' jours')}else{$lastPower.text(' depuis '+days+' jour')}}  
                
                
                
                
                
            }
            
            
            
            //-------Construction URL
            
            function insertParam(key, value){
                key     = encodeURI(key); 
                value   = encodeURI(value);
                var kvp = document.location.search.substr(1).split('&');
                var i   = kvp.length; 
                var x; 
                while(i--)  {
                    x = kvp[i].split('=');
                    if (x[0] == key) {
                        x[1] = value;
                        kvp[i] = x.join('=');
                        break;
                    }
                }
                if(i<0) {
                    kvp[kvp.length] = [key,value].join('=');
                }
                return document.location + '?' + kvp.join('&');
            }
            
            //-------Refresh Valeurs
            function refreshData() {
                $.get(insertParam('refresh', 1), {},
                    function(data){
                        console.log("data =",data);
                        var data = JSON.parse(data);
                        level  = data.level;
                        power  = data.power;
                        energy  = data.energy;
                        lastValue = data.change;
                        lastpower = data.power_change;
                        updatehtml(); 
                    }
                );
            }
            //-------Envoi 
             function change(api) {
            img1 = "<? echo $lamp_on;  ?>",
            img2 = "<? echo $lamp_off;  ?>";
            var imgElement = document.getElementById(api)
            imgElement.src = (imgElement.src === img1)? img2 : img1;
            clearInterval(chrono);
            level = (imgElement.src === img1)? 100 : 0;
            $lastValue.text(' (en cours...)');
            label =  (imgElement.src === img1)? "On" : "Off";
            $label.text(label)
            $.get(insertParam('setlevel',level), {}, function(data){});
            chrono = setInterval(refreshData, polling); 
}
            
            //-------Polling 10s
            let chrono;
            
            chrono = setInterval(refreshData, polling); 

            
            
        </script>
</body></html>
<?}

// Widget shutter et multi shutter  -
//----------------------------------------------------------------------------> 
if ($mode == "6"){

//argument donne par l'actionneur
$apis     = getArg('api', $mandatory = false, $default = '');
$step =     getArg('memo', $mandatory = false, $default = '1');
$name =      getArg('nom', $mandatory = false, $default = 'N/D');


//arguments donnes par le javascipt
$setlevel  = getArg('setlevel', false, NULL);
$setlight  = getArg('setlight', false, NULL);
$refresh   = getArg('refresh' , false, false);

//initialisation des variables
$level  = 0;

// api des peripheriques
$Tapi       = explode(",", $apis);
$api_Level  = $Tapi[0];

// parametre Step et touchEvent
$Tparam1    = explode(",", $step);
$step       = $Tparam1[0];
$touch2Tap  = $Tparam1[1];
$touchPress = $Tparam1[2];

// parametre nom et mode
$Tparam2    = explode(",", $name);
$nom        = $Tparam2[0];
$memo1      = $Tparam2[1];
$memo2      = $Tparam2[2];


// Valeur de l'api principal
if ($api_Level){
    $periph = getValue($api_Level, $value_text = false);
    $level  = $periph["value"];
    $TimeChange = $periph["change"];
    $change = strtotime($TimeChange);
}

if ($setlevel !== NULL) {
        $Tapi       = explode(",", $apis);
         foreach($Tapi as $device){ setValue($device, $setlevel);}
         die('Ok');
    }

if ($setlight !== NULL) {
        $Tapi= explode("=", $setlight);
        $api= $Tapi[0];
        $value= $Tapi[1];
         SetValue($api, $value);
         die('Ok');
    }


// Si requete ajax "refresh"
if ($refresh) {
      $lastValue = sdk_LastValue($now , $change);
    $data = array('level'  => $level, 'change'=>$lastValue);
    
    
    //creation du json 
    $r = '{';
    foreach($data as $k => $v) {
        $r .= '"'. $k . '":' . $v . ',';
    }
    $r = substr($r, 0, -1);
    $r .= '}';
    
    //  on retourne le json 
    die($r);
}   

?>
<html style="overflow:hidden;height:100%;"><head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="viewport" content="width=device-width,user-scalable=no">
<style>
<?sdk_get_widget_default_style(); ?>

.button-up, .button-down {
    position: relative;
    padding: 5px;
   margin: 1px auto;
    height: 40px;
    width: 40px;
    border-radius: 3px;
    transition: all 0.2s linear;
    <? if ($_GET['app'] !== NULL){?>cursor: none;<?}else{?>cursor: pointer; <?} ?>;
}

.button-down:hover {
  transform: translate3d(0, 5px, 0);
}
.button-up:hover {
  transform: translate3d(0, -5px, 0);
}
.button-up::after, .button-down::after {
  content: "";
  position: absolute;
  left: 15px;
  z-index: 11;
  display: block;
  width: 20px;
  height: 20px;
  border-top: 5px solid <? echo $police ?>;
  border-left: 5px solid <? echo $police?>;
}
.button-up::after {
  top: 20px;
  transform: rotate(45deg);
}
.button-down::after {
  top: 10px;
  transform: rotate(225deg);
}
.button-control1 {
    display: flex;
    flex-direction: column;
}
.button-slider {
    display: flex;
    justify-content: space-around;
    <? if ($_GET['app'] !== NULL){?>width:110%;<?}else{?>width:90%; <?} ?>;
}

.light-level {
     font-size: 25px;
        margin: auto;
}
.store-control {
  display: flex;
    flex-direction: column;
    text-align: center;
    color: #aaa;
    background: white;
    opacity: 0.6;
    overflow:hidden;
}   
.name {
    text-align: left;
    font :13px tahoma,arial,helvetica,sans-serif; 
    margin: -5px 5px;
}
.label {
    text-align: left;
    font :13px tahoma,arial,helvetica,sans-serif; 
    margin: -5px 0px;
     <? if ($_GET['app'] == ''){?>font-weight: bold;<?} ?>;
}
.timer {
    text-align: left;
    font :10px tahoma,arial,helvetica,sans-serif; 
    margin: -5px 0px;
     <? if ($_GET['app'] <> ''){?>color : #aaa;<?} ?>;
}
img.ee_btn_state{
position: absolute;
    top: 0px;
    left: 0px;
    width: 64px;
    height: 64px;
}
</style>
</head><body>
<table class="action" cellspacing="5" cellpadding="0" border="0">
<tbody>
<tr><td rowspan="2" class="iconlastvalue">
<div class="ee_btn_ctn">
<img class="ee_btn" src="https://secure.eedomus.com/img/btn/user/13845/Grille.png">
<img class = "ee_btn_state" src ="/img/mdm/01/wait.png"  id="<? echo $api_Level?>" onclick ="change(<? echo $api_Level?>);">
</div>


</td></tr>
<tr><td class="lastvalue"><? if ($_GET['app'] !== NULL){?><p class="name"><?php echo $nom; ?> - <?}?> <span class="label"> </span><span class="timer"> </span>
                     <div class="button-slider" >
                    <div class="button-control1"><div class="button-up" ></div></div> 
                    <div class="button-control1"><p class="light-level"> </div> 
                    <div class="button-control1"><div class="button-down"></div>
                </div>
         </div>
         </td>

</tr>

</tbody></table>
<script src="https://cdnjs.cloudflare.com/ajax/libs/animejs/2.2.0/anime.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/hammer.js/2.0.8/hammer.js"></script>
<script src="https://hammerjs.github.io/dist/hammer.js"></script>
<script type="text/javascript">

 //-------variables html-------------

              
            //-------variables javascript-------------
            var $shutter = $('.ee_btn_state');
             var $lastValue = $('.timer');
            var $label =  $('.label');
            polling= 5000;
            var $memo = $('.middle');
           var $level   = $('.light-level');
            
            //-------variables javascript-------------
             var touch2Tap = <? echo $touch2Tap ?> ;
            var touchPress = <? echo $touchPress ?> ;
            
            
            
            //-------insertion des variables dans le HTML
            refreshData();
            updatehtml;
            
            
            function updateicon(){
            
            switch (level) {
                case 0 : $shutter.attr('src', "https://secure.eedomus.com/img/mdm/user/476/11Volet000.png");
                break;
                case 10: $shutter.attr('src', "https://secure.eedomus.com/img/mdm/user/476/11Volet010.png");
                break;
                case 20: $shutter.attr('src', "https://secure.eedomus.com/img/mdm/user/476/11Volet020.png");
                break;
                case 30: $shutter.attr('src', "https://secure.eedomus.com/img/mdm/user/476/11Volet030.png");
                break; 
                case 40: $shutter.attr('src', "https://secure.eedomus.com/img/mdm/user/476/11Volet040.png");
                break;
                case 50: $shutter.attr('src', "https://secure.eedomus.com/img/mdm/user/476/11Volet050.png");
                break;
                case 60: $shutter.attr('src', "https://secure.eedomus.com/img/mdm/user/476/11Volet060.png");
                break;
                case 70: $shutter.attr('src', "https://secure.eedomus.com/img/mdm/user/476/11Volet070.png");
                break;
                case 80: $shutter.attr('src', "https://secure.eedomus.com/img/mdm/user/476/11Volet080.png");
                break;
                case 90: $shutter.attr('src', "https://secure.eedomus.com/img/mdm/user/476/11Volet090.png");
                break;
                case 100: $shutter.attr('src', "https://secure.eedomus.com/img/mdm/user/476/11Volet100.png");
                break;
               
            } 
            
        }           
            
            
            
            
            function updatehtml() {
                 if (level == 0)   {$label.text("Ferm");
                    }else { $label.text("Ouvert");} 
           
            $level.text(level + '%'); 
            
            if (lastValue < 5 ){  $lastValue.text(' maintenant');}
                if (lastValue > 5 && lastValue < 60){$lastValue.text(' depuis '+lastValue+ ' sec')}
                if (lastValue > 60 && lastValue < 3600){ var minutes = Math.round(lastValue / 60) % 60;  $lastValue.text(' depuis '+minutes+ ' min') }
                if (lastValue > 3600 && lastValue < 86400){ 
                    var hours = Math.round(lastValue / 3600) % 24;if (hours > 1){$lastValue.text(' depuis '+hours+' heures');}else{$lastValue.text(' depuis '+hours+' heure');}}
                if (lastValue > 86400){ 
                    var days = Math.round(lastValue / 86400);  if (days > 1){$lastValue.text(' depuis '+days+' jours')}else{$lastValue.text(' depuis '+days+' jour')}}
                    
                }
                         
               
            
            function insertParam(key, value){
                key     = encodeURI(key); 
                value   = encodeURI(value);
                var kvp = document.location.search.substr(1).split('&');
                var i   = kvp.length; 
                var x; 
                while(i--)  {
                    x = kvp[i].split('=');
                    if (x[0] == key) {
                        x[1] = value;
                        kvp[i] = x.join('=');
                        break;
                    }
                }
                if(i<0) {
                    kvp[kvp.length] = [key,value].join('=');
                }
                return document.location + '?' + kvp.join('&');
            }
            function insertParam1(key,api, value){
                key     = encodeURI(key);
                api     = encodeURI(api);
                value   = encodeURI(value);
                var kvp = document.location.search.substr(1).split('&');
                var i   = kvp.length; 
                var x; 
                while(i--)  {
                    x = kvp[i].split('=');
                    if (x[0] == key) {
                        x[1] = value;
                        kvp[i] = x.join('=');
                        break;
                    }
                }
                if(i<0) {
                    kvp[kvp.length] = [key,api,value].join('=');
                }
                return document.location + '?' + kvp.join('&');
            }
           
            
   
  //-------Envoi 
            function modifyLight() {
                $.get(insertParam('setlevel', level), {}, function(data){});
                chrono = setInterval(refreshData, polling); 
            }
            
            
            
const store = document.querySelector(".light-level");
let level = <? echo $level;  ?>; 
let step = <? echo $step ?>  ;


var myElement = document.querySelector(".button-up");
var mc = new Hammer(myElement);

mc.on(" tap press", function(ev) {
    clearInterval(chrono);
    state = ev.type;
      if ( state == "press"){ 
     level = 100 ;
   store.innerHTML  = "100%";
    modifyLight(level);
    updateicon(level);
   $lastValue.text(' (en cours...)');
  $label.text("Ouverture total");
     };
     if (level < 100 && state == "tap" ) {
     level = (level + step) ;
      store.innerHTML  = level + "%";
    modifyLight(level);
    updateicon(level);
     $lastValue.text(' (en cours...)');
  $label.text("Dimmer ");
  } ;
});


var down = document.querySelector(".button-down");
var mcdown = new Hammer(down);

mcdown.on(" tap press", function(ev) {
    clearInterval(chrono);
    statedown = ev.type;
      if ( statedown == "press"){
     level = 0 ;
   store.innerHTML  =  "0%";
    modifyLight(level);
    updateicon(level);
     $lastValue.text(' (en cours...)');
  $label.text("Fermeture total");
   };
     if (level > 10 && statedown == "tap" ) {
     level = (level - step) ;
     store.innerHTML  =  level + "%";
    modifyLight(level);
    updateicon(level);
     $lastValue.text(' (en cours...)');
    $label.text("Dimmer");
   
   } ;
});



var square  = document.querySelector(".light-level");
var manager = new Hammer.Manager(square);
var DoubleTap = new Hammer.Tap({
  event: 'doubletap',
  taps: 2
});
manager.add(DoubleTap);
manager.on('doubletap', function(e) {
    clearInterval(chrono);
    state = e.type;
    if ( state == "doubletap"){
     level = touch2Tap;
   store.innerHTML  =  level + "%";
    modifyLight(level);
    updateicon(level);
    $lastValue.text(' (en cours...)');
    $label.text("<? echo $memo1?>");
   }; 
});

var memo  = document.querySelector(".light-level");
var memo = new Hammer(square);
memo.on(" press", function(ev) {
    clearInterval(chrono);
    statedown = ev.type;
      if ( statedown == "press"){ 
     level = touchPress ;
   store.innerHTML  =  level + "%"
    $lastValue.text(' (en cours...)');
    $label.text("<? echo $memo2 ?>");
    modifyLight(level);
    updateicon(level);
   };
});  
            
            
      function refreshData() {
                $.get(insertParam('refresh', 1), {},
                    function(data){
                        console.log("data =",data);
                        var data = JSON.parse(data);
                        level = data.level;
                        lastValue = data.change;
                        updatehtml();
                        updateicon(level);
                    }
                );
            }      
            
            
            
            
            
            let chrono;
            chrono = setInterval(refreshData, polling);    

            
            
        </script>
</body></html>
<?}
?>
